Package org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheInvokeAllRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeysRequest
      - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheInvokeAllRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `ClientTxAwareRequest`

    public class ClientCacheInvokeAllRequest
    extends ClientCacheKeysRequest

Cache invokeAll request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientCacheInvokeAllRequest​(BinaryReaderExImpl reader)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static <T> IgniteInternalFuture<ClientResponse>` `chainFuture​(IgniteFuture<T> fut, IgniteClosure<T,​ClientResponse> clo)` Chain cache operation future to return response when operation is completed.
`boolean` `isTransactional()` Gets a value indicating whether request was made under transaction.
`ClientResponse` `process​(ClientConnectionContext ctx)` Processes the request.
`IgniteInternalFuture<ClientResponse>` `processAsync​(ClientConnectionContext ctx)` Processes the request asynchronously.
`int` `txId()` Gets transaction ID.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheKeysRequest

`isAsync, keys`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, cachex, isKeepBinary, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.client.tx.ClientTxAwareRequest

`isTransactional, txId`

### Constructor Detail

#### ClientCacheInvokeAllRequest

    public ClientCacheInvokeAllRequest​(BinaryReaderExImpl reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process​(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

#### processAsync

    public IgniteInternalFuture<ClientResponse> processAsync​(ClientConnectionContext ctx)

Processes the request asynchronously.

Overrides:
  `processAsync` in class `ClientRequest`
Returns:
  Future for response.

#### txId

    public int txId()

Gets transaction ID.

#### isTransactional

    public boolean isTransactional()

Gets a value indicating whether request was made under transaction.

Overrides:
  `isTransactional` in class `ClientCacheRequest`
Returns:
  Flag value.

#### chainFuture

    protected static <T> IgniteInternalFuture<ClientResponse> chainFuture​(IgniteFuture<T> fut,
                                                                          IgniteClosure<T,​ClientResponse> clo)

Chain cache operation future to return response when operation is completed.